install: 
  script:
    - echo "Instalação de repositório"
    - sudo rpm --import https://repo.saltproject.io/py3/redhat/8/x86_64/latest/SALTSTACK-GPG-KEY.pub
    - curl -fsSL https://repo.saltproject.io/py3/redhat/8/x86_64/latest.repo | sudo tee /etc/yum.repos.d/salt.repo
    - echo "Expirando cache"
    - dnf clean expire-cache
    - echo "Instalando pacotes"
    - sudo dnf install salt-master salt-minion -y
    - echo "Iniciando serviços"
    - sudo systemctl enable salt-master 
    - sudo systemctl start salt-master

  tags:
    - salt-master
